CMPIDATETIME(3)

NAME
CMPIDateTime - CMPIDateTime class implementation

SYNOPSIS

  Public Attributes

METHODS

int void * hdl;
Opaque pointer to class instance data.
CMPIDateTimeFT * ft;
Pointer to the Function Table.

Methods
void fP (CMPIType type, CMPIDateTime *val)
CMPIDateTime native_clone_CMPIDateTime (CMPIType type, CMPIDateTime *val, CMPIStatus *rc)
char * pathToChars (CMPIObjectPath *cop, CMPIStatus *rc, char *str, int uri)
char * value2CharsUri (CMPIType type, CMPIDateTime *value, int uri)
char * value2Chars (CMPIType type, CMPIDateTime *value)
char * keytype2Chars (CMPIType type)
CMPIDateTime * getKeyValueTypePtr (char *type, char *value, XtokValueReference *ref, CMPIDateTime *val, CMPIType *typ)
CMPIType guessType (char *val)
CMPIDateTime str2CMPIDateTime (CMPIType type, char *val, XtokValueReference *ref)

DESCRIPTION

CMPIDateTime class implementation, representing the Encapsulated value objects.

This is the native CMPIDateTime implementation as used for remote providers. It reflects the well-defined interface of a regular CMPIDateTime, however, it works independently from the management broker.

It is part of a native broker implementation that simulates CMPI data types rather than interacting with the entities in a full-grown CIMOM.

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup